Loading...

Get All Versions of an Object

Description

This API allows you to get all the versions of the object stored in a bucket. The Bucket is referred by its unique bucket name, and the required object is referred using its name.

Request Details

Request URL

GET

{api-domain}/baas/v1/project/{project_id}/bucket/objects/versions

copy

project_id
Numerical
The unique ID of the project

Query Parameters

bucket_name Alphanumeric
mandatory
object_key String
mandatory
Will contain the complete name of the object.
max_versions Number
optional
Will contain the maximum number of versions that can be listed in one paginated iteration.
continuation_token String
optional
Will contain the token to check if next paginated iteration is required or not.

Request Headers

Authorization: Zoho-oauthtoken {oauth_token}

Optional Headers

CATALYST-ORG: {org_id}

Environment: Development

Scope

ZohoCatalyst.buckets.objects.READ

Response Details

On successful execution, the response will contain the list of details of all the versions of the required object.

Sample Request
copy
Sample Response
copy
{
"status": "success",
"data": {
    "truncated": true,
    "key": "Automl_LZ (1).csv",
    "versions_count": 2,
    "max_versions": 2,
    "is_truncated": true,
    "next_continuation_token": "97tn3xP3te66VpfVwVJwtDAgouBKVNhGAV6jzGY6DMdX6hcJmwJKbFX3unakGdfKfJ",
    "version": [
    {
        "latest": true,
        "version_id": "01hh9hkfdf07y8pnpbwtkt8cf7",
        "is_latest": true,
        "last_modified": "Dec 10, 2023 03:10 PM",
        "size": 257,
        "etag": "223a363af39a49d4b32f6cdf0c569755"
    },
    {
        "latest": false,
        "version_id": "01hh9hjtge85k1fx2yp1kg8r2q",
        "is_latest": false,
        "last_modified": "Dec 10, 2023 03:10 PM",
        "size": 257,
        "etag": "223a363af39a49d4b32f6cdf0c569755"
    }
    ]
}
}
View more